Bug 110286 - Strange behaviour when moving Main Menu
Strange behaviour when moving Main Menu
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-17 17:18 EST by Andy Wallace
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 2.4.2-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-02 10:54:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Wallace 2003-11-17 17:18:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
I enabled "Show hide buttons" on the panel, then the Main Menu button
didn't work. I right-clicked it and noticed it was locked, so unlocked
it, then it worked again.

If I remove the hide buttons, it's OK, but if I then switch places
with the Mozilla icon, then switch back again, Main Menu works but
Mozilla doesn't! If I right-click the Mozilla icon at this time I get
the panel menu.

I haven't explored all the permutations, but this is definitely
screwed up!

I guess what's happening is that the panel hide buttons override the
locked status of the Main Menu, but other icons aren't informed. 

Version-Release number of selected component (if applicable):
gnome-panel-2.4.0-3

How reproducible:
Always

Steps to Reproduce:
1. Enable Show hide buttons in Panel properties



Actual Results:  Main Menu stops working
Unlock main menu
Main menu now works
Put something else in leftmost position
Now this doesn't work!

    

Expected Results:  Show hide buttons has no adverse effects

Additional info:
Comment 1 Mark McLoughlin 2004-02-23 05:56:24 EST
This was fixed in gnome-panel 2.4.1 and so the fix will be in the FC1
update I hope to release sometime this week.

This is the upstream bug:

   http://bugzilla.gnome.org/show_bug.cgi?id=121072

(Yes, I know they don't sound like the same thing, but they are
actually the same bug :-)
Comment 2 Mark McLoughlin 2004-02-23 17:44:13 EST
I've just released a testing update which should fix this issue.
Please test it out and let us know if it fixes your problem.

Details on the update:
http://www.redhat.com/archives/fedora-test-list/2004-February/msg01512.html
Comment 3 Mark McLoughlin 2004-03-02 10:54:26 EST
Okay, a gnome-panel Fedora Core 1 Update (2.4.2-3) with a fix
for this bug is now available from:

   http://download.fedora.redhat.com/pub/fedora/linux/core/updates/1/

Note You need to log in before you can comment on or make changes to this bug.